Listen Key
Generate Listen Key
Response
{
"listenKey": "pqia91ma19a5s61cv6a81va65sdf19v8a65a1a5s61cv6a81va65sdf19v8a65a1"
}
Required Permissions: Account Read / SPOT_ACCOUNT_R
HTTP Request
- POST
/api/v3/userDataStream
Starts a new data stream. The stream will close 60 minutes after creation unless a keepalive is sent.
Parameters:
NONE
Get Valid Listen Keys
Response
{
"total": 200,
"listenKey": [
"342e83dfc434e8a5639a6f405d3cf9dc3caaf11ca6f6b9a475a6f2e9a4e1bf8d",
"c716a755cc12fc905159c4f318920ccd25938224230d676431607735609719ed"
],
"available": 198
}
Required Permissions: Account Read / SPOT_ACCOUNT_R
HTTP Request
- GET
/api/v3/userDataStream
Retrieves all currently valid listen keys.
Request Parameters
NONE
Response Parameters
| Name | Type | Description |
|---|---|---|
| listenKey | string | Listen key |
| total | string | Total number of listenKeys |
| available | string | Available listenKeys |
Extend Listen Key Validity
Response
{
"listenKey": "pqia91ma19a5s61cv6a81va65sdf19v8a65a1a5s61cv6a81va65sdf19v8a65a1"
}
HTTP Request
- PUT
/api/v3/userDataStream
Extends the validity to 60 minutes from the time of this call. It is recommended to send a request every 30 minutes.
Request Parameters:
| Parameter | Data Type | Required | Description |
|---|---|---|---|
| listenKey | string | Yes |
Close Listen Key
Response
{
"listenKey": "pqia91ma19a5s61cv6a81va65sdf19v8a65a1a5s61cv6a81va65sdf19v8a65a1"
}
HTTP Request
- DELETE
/api/v3/userDataStream
Closes the user data stream.
Request Parameters:
| Parameter | Data Type | Required | Description |
|---|---|---|---|
| listenKey | string | Yes |